SUSE SLED12 / SLES12セキュリティ更新プログラム:libxml2(SUSE-SU-2017:1366-1)

high Nessus プラグイン ID 100352

言語:

概要

リモートのSUSEホストに1つ以上のセキュリティ更新がありません。

説明

このlibxml2の更新では、次の問題が修正されます:

- 回復モードでのxpointer.cのNULLデリファレンスを修正(bsc#1014873)

- CVE-2016-9597:開始タグが多数含まれているXMLドキュメントが、DoSを可能にする再帰制限によって検出されないスタックのオーバーフローを引き起こした可能性があります(bsc#1017497)

- CVE-2014-0191:エンティティの置換が無効な場合に外部パラメーターエンティティをロードすることにより、DoSが引き起こされる可能性がありました。
(bsc#876652)

- CVE-2016-9318:XML外部エンティティ(XXE)が、細工されたドキュメントを介して悪用される可能性がありました。 (bsc#1010675)

注意:Tenable Network Securityは、前述の記述ブロックをSUSEセキュリティアドバイザリから直接抽出しています。Tenableでは、新たな問題を持ち込まずに、できる限り自動的に整理して書式設定するようにしています。

ソリューション

このSUSEセキュリティ更新をインストールするには、YaST online_updateを使用してください。
別の方法として、製品にリストされているコマンドを実行することができます:

SUSE Linux Enterpriseソフトウェア開発キット12-SP1:zypper in -t patch SUSE-SLE-SDK-12-SP1-2017-833=1

SUSE Linux Enterprise Server 12-SP1:zypper in -t patch SUSE-SLE-SERVER-12-SP1-2017-833=1

SUSE Linux Enterprise Desktop 12-SP1:zypper in -t patch SUSE-SLE-DESKTOP-12-SP1-2017-833=1

お使いのシステムを最新の状態にするには、「zypper パッチ」を使用してください。

関連情報

https://bugzilla.suse.com/show_bug.cgi?id=1010675

https://bugzilla.suse.com/show_bug.cgi?id=1013930

https://bugzilla.suse.com/show_bug.cgi?id=1014873

https://bugzilla.suse.com/show_bug.cgi?id=1017497

https://bugzilla.suse.com/show_bug.cgi?id=876652

https://www.suse.com/security/cve/CVE-2014-0191/

https://www.suse.com/security/cve/CVE-2016-9318/

https://www.suse.com/security/cve/CVE-2016-9597/

http://www.nessus.org/u?928a1587

プラグインの詳細

深刻度: High

ID: 100352

ファイル名: suse_SU-2017-1366-1.nasl

バージョン: 3.6

タイプ: local

エージェント: unix

公開日: 2017/5/23

更新日: 2021/1/6

サポートされているセンサー: Nessus Agent

リスク情報

VPR

リスクファクター: Low

スコア: 3.6

CVSS v2

リスクファクター: Medium

Base Score: 6.8

Temporal Score: 5

ベクトル: AV:N/AC:M/Au:N/C:P/I:P/A:P

現状ベクトル: E:U/RL:OF/RC:C

CVSS v3

リスクファクター: High

Base Score: 7.8

Temporal Score: 6.8

ベクトル: CVSS:3.0/AV:L/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H

現状ベクトル: E:U/RL:O/RC:C

脆弱性情報

CPE: p-cpe:/a:novell:suse_linux:libxml2, p-cpe:/a:novell:suse_linux:libxml2-2, p-cpe:/a:novell:suse_linux:libxml2-2-debuginfo, p-cpe:/a:novell:suse_linux:libxml2-debugsource, p-cpe:/a:novell:suse_linux:libxml2-tools, p-cpe:/a:novell:suse_linux:libxml2-tools-debuginfo, p-cpe:/a:novell:suse_linux:python-libxml2, p-cpe:/a:novell:suse_linux:python-libxml2-debuginfo, p-cpe:/a:novell:suse_linux:python-libxml2-debugsource, cpe:/o:novell:suse_linux:12

必要な KB アイテム: Host/local_checks_enabled, Host/cpu, Host/SuSE/release, Host/SuSE/rpm-list

エクスプロイトの容易さ: No known exploits are available

パッチ公開日: 2017/5/22

脆弱性公開日: 2015/1/21

参照情報

CVE: CVE-2014-0191, CVE-2016-9318, CVE-2016-9597

BID: 67233